/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\npc\hireables\HireRangerArcher.cs
Lines of code: 71
***********************************************************/


using System; 
using System.Collections;
using System.Collections.Generic;
using Server.Items; 
using Server.ContextMenus; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
    public class HireRangerArcher : BaseHire 
    { 
        [Constructable] 
        public HireRangerArcher() : base( AIType.AI_Archer ) 
        { 
            SpeechHue = Utility.RandomDyedHue(); 
            Hue = Utility.RandomSkinHue(); 

            if ( this.Female = Utility.RandomBool() ) 
            { 
                Body = 0x191; 
                Name = NameList.RandomName( "female" ); 
            } 
            else 
            { 
                Body = 0x190; 
                Name = NameList.RandomName( "male" ); 
                AddItem( new ShortPants( Utility.RandomNeutralHue() ) ); 
            } 
		Title = "the ranger";
     
			
			Utility.AssignRandomHair( this );			
			
		

            SetStr( 91, 91 ); 
            SetDex( 76, 76 ); 
            SetInt( 61, 61 ); 

            SetDamage( 13, 24 ); 

		    SetSkill( SkillName.Healing, 100, 120 );
		    SetSkill( SkillName.Anatomy, 100, 120 );
		    SetSkill( SkillName.Alchemy, 100, 120 );
		    SetSkill( SkillName.Archery, 100, 120 );
		    SetSkill( SkillName.Tactics, 100, 120 ); 

            Fame = 1000; 
            Karma = 1250; 


            AddItem( new Shoes( Utility.RandomNeutralHue() ) ); 
            AddItem( new Shirt()); 

            // Pick a random sword
            switch ( Utility.Random( 2 )) 
            { 
		case 0: AddItem( new Bow() ); break;
		case 1: AddItem( new CompositeBow() ); break; 
            } 

                    AddItem( new RangerChest() );
                    AddItem( new RangerArms() );
                    AddItem( new RangerGloves() );
                    AddItem( new RangerGorget() );
                    AddItem( new RangerLegs() );

		PackItem ( new Arrow( 20 ) );
            PackGold( 10, 75 ); 
        } 
	public override bool ClickTitle{ get{ return false; } }
        public HireRangerArcher( Serial serial ) : base( serial ) 
        { 
        } 

        public override void Serialize( GenericWriter writer ) 
        { 
            base.Serialize( writer ); 

            writer.Write( (int) 0 ); // version 
        } 

        public override void Deserialize( GenericReader reader ) 
        { 
            base.Deserialize( reader ); 

            int version = reader.ReadInt(); 
        } 
    } 
} 
